import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:sw_core/entity_servicer/servicer.dart';
import 'package:sw_core/entity_theme/params_loan_connect.dart';
import 'package:sw_core/interface/controller/i_controller_all_servicers.dart';
import 'package:sw_core/interface/layout.dart';
import 'package:sw_core/tool/inject.dart';
import 'package:sw_core/navigation/nav.dart';
import 'package:sw_loan_connect/layouts/layout_login_b.dart';
import 'package:sw_loan_connect/layouts/layout_login_default.dart';

routeLogin(BuildContext? context) => navigate(context, RouteLogin());

class RouteLogin extends StatelessWidget {
  RouteLogin({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    switch (getSafe<ParamsLoanConnect>()?.layout) {
      case Layout.B:
        return LayoutLoginB();
      case Layout.DEFAULT:
      default:
        return LayoutLoginDefault();
    }
  }
}
